Package be.fgov.ehealth.dics.protocol.v5

# Class FindByParagraphNameType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.FindByParagraphNameType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindByParagraphNameType extends Object implements Serializable

Java class for FindByParagraphNameType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindByParagraphNameType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ChapterName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ParagraphName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindByParagraphNameType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChapterName()`
  The name of the chapter involved in the reimbursement conditions of medicines as stated in the royal decree of 21 December 2001 and the royal decrees modifying this one.
  `String`
  `getParagraphName()`
  The name of the paragraph or the subparagraph, which for the presumed chapters (see below), is limited to an identification number.
  `void`
  `setChapterName(String value)`
  Sets the value of the chapterName property.
  `void`
  `setParagraphName(String value)`
  Sets the value of the paragraphName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindByParagraphNameType

    public FindByParagraphNameType()

- ## Method Details

  - ### getChapterName

    public String getChapterName()
    The name of the chapter involved in the reimbursement conditions of medicines as stated in the royal decree of 21 December 2001 and the royal decrees modifying this one. Attention has to be paid that this name should continue to be unique even if other legislations equally produce chapters on the reimbursement of medicines.
    Returns:
      possible object is `String`

  - ### setChapterName

    public void setChapterName(String value)
    Sets the value of the chapterName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getChapterName()`

  - ### getParagraphName

    public String getParagraphName()
    The name of the paragraph or the subparagraph, which for the presumed chapters (see below), is limited to an identification number. The last 4 numbers representing variations within the same subject. Although currently no letter has made an appearance, the option to restrict this name only to numbers is not imposed.
    Returns:
      possible object is `String`

  - ### setParagraphName

    public void setParagraphName(String value)
    Sets the value of the paragraphName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getParagraphName()`